org.apache.ignite.internal.processors.platform.services

## Class PlatformServices

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.services.PlatformServices

All Implemented Interfaces:
  PlatformTarget

    public class PlatformServices
    extends PlatformAbstractTarget

Interop services.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformServices(PlatformContext platformCtx, IgniteServices services, boolean srvKeepBinary)` Ctor.

### Method Summary

Methods
`protected IgniteInternalFuture` `currentFuture()` When overridden in a derived class, gets future for the current operation.
`protected long` `processInLongOutLong(int type, long val)` Process IN operation.
`protected Object` `processInObjectStreamOutObjectStream(int type, Object arg, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`protected long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`protected Object` `processInStreamOutObject(int type, BinaryRawReaderEx reader)` Process IN operation with managed object as result.
`protected void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`protected Object` `processOutObject(int type)` Process OUT operation.
`protected void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, futureWriter, inLongOutLong, inObjectStreamOutObjectStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureForOperation, outObject, outStream, platformContext, processInStreamOutLong, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformServices

    public PlatformServices(PlatformContext platformCtx,
                    IgniteServices services,
                    boolean srvKeepBinary)

Ctor.

Parameters:
  `platformCtx` - Context.
  `services` - Services facade.
  `srvKeepBinary` - Server keep binary flag.

### Method Detail

#### processInStreamOutLong

    protected long processInStreamOutLong(int type,
                              BinaryRawReaderEx reader)
                                   throws IgniteCheckedException

Process IN operation.

Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    protected void processInStreamOutStream(int type,
                                BinaryRawReaderEx reader,
                                BinaryRawWriterEx writer)
                                     throws IgniteCheckedException

Process IN-OUT operation.

Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInObjectStreamOutObjectStream

    protected Object processInObjectStreamOutObjectStream(int type,
                                              Object arg,
                                              BinaryRawReaderEx reader,
                                              BinaryRawWriterEx writer)
                                                   throws IgniteCheckedException

Process IN-OUT operation.

Overrides:
  `processInObjectStreamOutObjectStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `arg` - Argument.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutStream

    protected void processOutStream(int type,
                        BinaryRawWriterEx writer)
                             throws IgniteCheckedException

Process OUT operation.

Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutObject

    protected Object processOutObject(int type)
                               throws IgniteCheckedException

Process OUT operation.

Overrides:
  `processOutObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInLongOutLong

    protected long processInLongOutLong(int type,
                            long val)
                                 throws IgniteCheckedException

Process IN operation.

Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutObject

    protected Object processInStreamOutObject(int type,
                                  BinaryRawReaderEx reader)
                                       throws IgniteCheckedException

Process IN operation with managed object as result.

Overrides:
  `processInStreamOutObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### currentFuture

    protected IgniteInternalFuture currentFuture()
                                          throws IgniteCheckedException

When overridden in a derived class, gets future for the current operation.

Overrides:
  `currentFuture` in class `PlatformAbstractTarget`
Returns:
  current future.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016